org.apache.ignite.internal.commandline.configuration

## Class VisorTracingConfigurationTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<VisorTracingConfigurationTaskArg,VisorTracingConfigurationTaskResult>
    - - org.apache.ignite.internal.commandline.configuration.VisorTracingConfigurationTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorTracingConfigurationTaskArg>,VisorTracingConfigurationTaskResult>

    @GridInternal
     @GridVisorManagementTask
    public class VisorTracingConfigurationTask
    extends VisorOneNodeTask<VisorTracingConfigurationTaskArg,VisorTracingConfigurationTaskResult>

Task that will collect and update tracing configuration.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorTracingConfigurationTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.ignite.internal.commandline.configuration.VisorTracingConfigurationTask.VisorTracingConfigurationJob` `job(VisorTracingConfigurationTaskArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorTracingConfigurationTask

    public VisorTracingConfigurationTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.commandline.configuration.VisorTracingConfigurationTask.VisorTracingConfigurationJob job(VisorTracingConfigurationTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorTracingConfigurationTaskArg,VisorTracingConfigurationTaskResult,VisorTracingConfigurationTaskResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020